REST API

참고

OpenAPI 사양이 아직 완료되지 않았기 때문에 이 페이지는 작업 진행 중(work-in-progress)입니다.

GET /api

요청 예시 (Example request):

GET /api HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/authorizations

요청 예시 (Example request):

GET /api/authorizations HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/components

요청 예시 (Example request):

GET /api/components HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/connections

요청 예시 (Example request):

GET /api/connections HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/info

요청 예시 (Example request):

GET /api/info HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/authorizations
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/authorizations HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/autohold
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/autohold HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

DELETE /api/tenant/{tenant_name}/autohold/{request_id}
매개변수 (Parameters):
  • tenant_name (string)

  • request_id (string)

상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/autohold/{request_id}
매개변수 (Parameters):
  • tenant_name (string)

  • request_id (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/autohold/{request_id} HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/badge

발견된 최신 빌드셋의 결과를 설명하는 배지를 가져옵니다.

매개변수 (Parameters):
  • tenant_name (string) – 테넌트 이름

쿼리 매개변수 (Query Parameters):
  • project (string) – 프로젝트 이름

  • pipeline (string) – 파이프라인 이름

  • branch (string) – 브랜치 이름

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/badge HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 발견된 최신 빌드셋의 결과를 설명하는 배지입니다.

  • 404 Not Found – 빌드셋을 찾을 수 없습니다

GET /api/tenant/{tenant_name}/build-times
매개변수 (Parameters):
  • tenant_name (string)

쿼리 매개변수 (Query Parameters):
  • project (string)

  • pipeline (string)

  • branch (string)

  • ref (string)

  • job_name (string)

  • final (string)

  • start_time (string)

  • end_time (string)

  • limit (string)

  • skip (string)

  • exclude_result (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/build-times HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/build/{uuid}
매개변수 (Parameters):
  • tenant_name (string)

  • uuid (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/build/{uuid} HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/builds

실행된 빌드 목록을 반환합니다

매개변수 (Parameters):
  • tenant_name (string)

쿼리 매개변수 (Query Parameters):
  • project (string)

  • pipeline (string)

  • change (string)

  • branch (string)

  • patchset (string)

  • ref (string)

  • newrev (string)

  • uuid (string)

  • job_name (string)

  • voting (string)

  • nodeset (string)

  • result (string)

  • final (string)

  • held (string)

  • complete (string)

  • limit (string)

  • skip (string)

  • idx_min (string)

  • idx_max (string)

  • exclude_result (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/builds HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    빌드 목록을 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: application/json
    
    [
        {
            "_id": "string",
            "artifacts": [
                {
                    "metadata": {},
                    "name": "string",
                    "url": "string"
                }
            ],
            "duration": "string",
            "end_time": "string",
            "error_detail": "string",
            "final": "string",
            "held": "string",
            "job_name": "string",
            "log_url": "string",
            "nodeset": "string",
            "provides": [
                {
                    "name": "string"
                }
            ],
            "ref": {
                "branch": "string",
                "change": "string",
                "newrev": "string",
                "oldrev": "string",
                "patchset": "string",
                "project": "string",
                "ref": "string",
                "ref_url": "string"
            },
            "result": "string",
            "start_time": "string",
            "uuid": "string",
            "voting": "string"
        }
    ]
    

  • 404 Not Found – 테넌트를 찾을 수 없습니다

GET /api/tenant/{tenant_name}/buildset/{uuid}
매개변수 (Parameters):
  • tenant_name (string)

  • uuid (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/buildset/{uuid} HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    빌드셋을 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: application/json
    
    {
        "_id": "string",
        "builds": [
            {
                "_id": "string",
                "artifacts": [
                    {
                        "metadata": {},
                        "name": "string",
                        "url": "string"
                    }
                ],
                "duration": "string",
                "end_time": "string",
                "error_detail": "string",
                "final": "string",
                "held": "string",
                "job_name": "string",
                "log_url": "string",
                "nodeset": "string",
                "provides": [
                    {
                        "name": "string"
                    }
                ],
                "ref": {
                    "branch": "string",
                    "change": "string",
                    "newrev": "string",
                    "oldrev": "string",
                    "patchset": "string",
                    "project": "string",
                    "ref": "string",
                    "ref_url": "string"
                },
                "result": "string",
                "start_time": "string",
                "uuid": "string",
                "voting": "string"
            }
        ],
        "event_id": "string",
        "event_timestamp": "string",
        "events": [
            {
                "description": "string",
                "event_time": "string",
                "event_type": "string"
            }
        ],
        "first_build_start_time": "string",
        "last_build_end_time": "string",
        "message": "string",
        "pipeline": "string",
        "refs": [
            {
                "branch": "string",
                "change": "string",
                "newrev": "string",
                "oldrev": "string",
                "patchset": "string",
                "project": "string",
                "ref": "string",
                "ref_url": "string"
            }
        ],
        "result": "string",
        "uuid": "string"
    }
    

  • 404 Not Found – 테넌트를 찾을 수 없습니다

GET /api/tenant/{tenant_name}/buildsets
매개변수 (Parameters):
  • tenant_name (string)

쿼리 매개변수 (Query Parameters):
  • project (string)

  • pipeline (string)

  • change (string)

  • branch (string)

  • patchset (string)

  • ref (string)

  • newrev (string)

  • uuid (string)

  • result (string)

  • complete (string)

  • limit (string)

  • skip (string)

  • idx_min (string)

  • idx_max (string)

  • exclude_result (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/buildsets HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    빌드셋 목록을 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: application/json
    
    [
        {
            "_id": "string",
            "event_id": "string",
            "event_timestamp": "string",
            "first_build_start_time": "string",
            "last_build_end_time": "string",
            "message": "string",
            "pipeline": "string",
            "refs": [
                {
                    "branch": "string",
                    "change": "string",
                    "newrev": "string",
                    "oldrev": "string",
                    "patchset": "string",
                    "project": "string",
                    "ref": "string",
                    "ref_url": "string"
                }
            ],
            "result": "string",
            "uuid": "string"
        }
    ]
    

  • 404 Not Found – 테넌트를 찾을 수 없습니다

GET /api/tenant/{tenant_name}/config-errors
매개변수 (Parameters):
  • tenant_name (string)

쿼리 매개변수 (Query Parameters):
  • project (string)

  • branch (string)

  • severity (string)

  • name (string)

  • limit (string)

  • skip (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/config-errors HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/console-stream
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/console-stream HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/flavors
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/flavors HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    플레이버 목록을 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: application/json
    
    [
        {
            "canonical_name": "string",
            "description": "string",
            "name": "string"
        }
    ]
    

  • 404 Not Found – 테넌트를 찾을 수 없습니다

DELETE /api/tenant/{tenant_name}/image-build-artifact/{artifact_id}
매개변수 (Parameters):
  • tenant_name (string)

  • artifact_id (string)

상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

DELETE /api/tenant/{tenant_name}/image-upload/{upload_id}
매개변수 (Parameters):
  • tenant_name (string)

  • upload_id (string)

상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

POST /api/tenant/{tenant_name}/image-upload/{upload_id}/validate
매개변수 (Parameters):
  • tenant_name (string)

  • upload_id (string)

상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

POST /api/tenant/{tenant_name}/image/{image_name}/build
매개변수 (Parameters):
  • tenant_name (string)

  • image_name (string)

상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/images
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/images HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    이미지 목록을 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: application/json
    
    [
        {
            "branch": "string",
            "build_artifacts": [
                {
                    "build_tenant": true,
                    "build_uuid": "string",
                    "canonical_name": "string",
                    "format": "string",
                    "is_locked": true,
                    "lock_holder": "string",
                    "md5sum": "string",
                    "sha256": "string",
                    "state": "string",
                    "state_time": "string",
                    "timestamp": "string",
                    "uploads": [
                        {
                            "artifact_uuid": "string",
                            "canonical_name": "string",
                            "endpoint_name": "string",
                            "external_id": "string",
                            "is_locked": true,
                            "lock_holder": "string",
                            "state": "string",
                            "state_time": "string",
                            "timestamp": "string",
                            "uuid": "string",
                            "validated": "string"
                        }
                    ],
                    "url": "string",
                    "uuid": "string",
                    "validated": "string"
                }
            ],
            "canonical_name": "string",
            "name": "string",
            "project_canonical_name": "string",
            "type": "string"
        }
    ]
    

  • 404 Not Found – 테넌트를 찾을 수 없습니다

GET /api/tenant/{tenant_name}/info
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/info HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/job/{job_name}
매개변수 (Parameters):
  • tenant_name (string)

  • job_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/job/{job_name} HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/jobs
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/jobs HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    잡 목록을 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: application/json
    
    [
        {
            "description": "string",
            "name": "string",
            "tags": [
                "string"
            ],
            "variants": [
                {
                    "branches": [
                        "string"
                    ],
                    "parent": "string"
                }
            ]
        }
    ]
    

  • 404 Not Found – 테넌트를 찾을 수 없습니다

GET /api/tenant/{tenant_name}/key/{project_name}.pub
매개변수 (Parameters):
  • tenant_name (string)

  • project_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/key/{project_name}.pub HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    시크릿을 암호화하는 데 사용되는 프로젝트 공개 키를 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: text/plain
    
    -----BEGIN PUBLIC KEY-----
    MIICI...
    -----END PUBLIC KEY-----
    

  • 404 Not Found – 테넌트 또는 프로젝트를 찾을 수 없습니다

GET /api/tenant/{tenant_name}/labels
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/labels HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/nodes
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/nodes HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

PUT /api/tenant/{tenant_name}/nodes/{node_id}
매개변수 (Parameters):
  • tenant_name (string)

  • node_id (string)

상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/nodeset-requests
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/nodeset-requests HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

DELETE /api/tenant/{tenant_name}/nodeset-requests/{request_id}
매개변수 (Parameters):
  • tenant_name (string)

  • request_id (string)

상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/pipeline/{pipeline_name}/project/{project_name}/branch/{branch_name}/freeze-job/{job_name}
매개변수 (Parameters):
  • tenant_name (string)

  • pipeline_name (string)

  • project_name (string)

  • branch_name (string)

  • job_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/pipeline/{pipeline_name}/project/{project_name}/branch/{branch_name}/freeze-job/{job_name} HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/pipeline/{pipeline_name}/project/{project_name}/branch/{branch_name}/freeze-jobs
매개변수 (Parameters):
  • tenant_name (string)

  • pipeline_name (string)

  • project_name (string)

  • branch_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/pipeline/{pipeline_name}/project/{project_name}/branch/{branch_name}/freeze-jobs HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/pipelines
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/pipelines HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/project-ssh-key/{project_name}.pub
매개변수 (Parameters):
  • tenant_name (string)

  • project_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/project-ssh-key/{project_name}.pub HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    익스큐터가 SSH 에이전트에 추가하는 프로젝트 공개 키를 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: text/plain
    
    ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACA
    

  • 404 Not Found – 테넌트 또는 프로젝트를 찾을 수 없습니다

GET /api/tenant/{tenant_name}/project/{project_name}
매개변수 (Parameters):
  • tenant_name (string)

  • project_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/project/{project_name} HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/project/{project_name}/autohold
매개변수 (Parameters):
  • tenant_name (string)

  • project_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/project/{project_name}/autohold HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

POST /api/tenant/{tenant_name}/project/{project_name}/autohold
매개변수 (Parameters):
  • tenant_name (string)

  • project_name (string)

상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/project/{project_name}/dequeue
매개변수 (Parameters):
  • tenant_name (string)

  • project_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/project/{project_name}/dequeue HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/project/{project_name}/enqueue
매개변수 (Parameters):
  • tenant_name (string)

  • project_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/project/{project_name}/enqueue HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/projects
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/projects HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/promote
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/promote HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/providers
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/providers HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    제공자 목록을 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: application/json
    
    [
        {
            "canonical_name": "string",
            "flavors": [
                {
                    "canonical_name": "string",
                    "name": "string"
                }
            ],
            "images": [
                {
                    "build_artifacts": [
                        {
                            "build_tenant": true,
                            "build_uuid": "string",
                            "canonical_name": "string",
                            "format": "string",
                            "is_locked": true,
                            "lock_holder": "string",
                            "md5sum": "string",
                            "sha256": "string",
                            "state": "string",
                            "state_time": "string",
                            "timestamp": "string",
                            "uploads": [
                                {
                                    "artifact_uuid": "string",
                                    "canonical_name": "string",
                                    "endpoint_name": "string",
                                    "external_id": "string",
                                    "is_locked": true,
                                    "lock_holder": "string",
                                    "state": "string",
                                    "state_time": "string",
                                    "timestamp": "string",
                                    "uuid": "string",
                                    "validated": "string"
                                }
                            ],
                            "url": "string",
                            "uuid": "string",
                            "validated": "string"
                        }
                    ],
                    "canonical_name": "string",
                    "name": "string",
                    "type": "string"
                }
            ],
            "labels": [
                {
                    "canonical_name": "string",
                    "name": "string"
                }
            ],
            "name": "string"
        }
    ]
    

  • 404 Not Found – 테넌트를 찾을 수 없습니다

GET /api/tenant/{tenant_name}/semaphores
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/semaphores HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 세마포어(semaphores) 목록을 반환합니다

  • 404 Not Found – 테넌트를 찾을 수 없습니다

GET /api/tenant/{tenant_name}/state
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/state HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/status

테넌트 상태를 반환합니다. 참고: 출력 형식은 현재 문서화되어 있지 않으며 예고 없이 변경될 수 있습니다.

매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/status HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/status/change/{change}

단일 변경 사항에 대한 상태를 반환합니다. 참고: 출력 형식은 현재 문서화되어 있지 않으며 예고 없이 변경될 수 있습니다.

매개변수 (Parameters):
  • tenant_name (string)

  • change (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/status/change/{change} HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenant/{tenant_name}/system-events
매개변수 (Parameters):
  • tenant_name (string)

쿼리 매개변수 (Query Parameters):
  • event_type (string)

  • limit (string)

  • skip (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/system-events HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    시스템 이벤트 목록을 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: application/json
    
    [
        {
            "description": "string",
            "event_id": "string",
            "event_time": "string",
            "event_type": "string"
        }
    ]
    

  • 404 Not Found – 테넌트를 찾을 수 없습니다

GET /api/tenant/{tenant_name}/tenant-ssh-key/ssh.pub
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/tenant-ssh-key/ssh.pub HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    익스큐터가 SSH 에이전트에 추가하는 테넌트 공개 키를 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: text/plain
    
    ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACA
    

  • 404 Not Found – 테넌트 또는 프로젝트를 찾을 수 없습니다

GET /api/tenant/{tenant_name}/tenant-status
매개변수 (Parameters):
  • tenant_name (string)

요청 예시 (Example request):

GET /api/tenant/{tenant_name}/tenant-status HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK – 응답이 아직 문서화되지 않았습니다

GET /api/tenants

요청 예시 (Example request):

GET /api/tenants HTTP/1.1
Host: example.com
상태 코드 (Status Codes):
  • 200 OK

    테넌트 목록을 반환합니다

    응답 예시:

    HTTP/1.1 200 OK
    Content-Type: application/json
    
    [
        {
            "name": "string"
        }
    ]
    

  • 404 Not Found – 테넌트를 찾을 수 없습니다